<?php
/**
* This example shows making an SMTP connection with authentication.
*/
//Import the PHPMailer class into the global namespace
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

//SMTP needs accurate times, and the PHP time zone MUST be set
//This should be done in your php.ini, but this is how to do it if you don't have access to that
date_default_timezone_set('Etc/UTC');

//Create a new PHPMailer instance
require 'mailer/src/Exception.php';
require 'mailer/src/PHPMailer.php';
require 'mailer/src/SMTP.php';



//Get Last Insert Id
$query = mysqli_query($mysqli, "SELECT MAX(id) as idenc FROM remision_encabezado")
                                or die('error'.mysqli_error($mysqli));
$rows  = mysqli_num_rows($query);
$data  = mysqli_fetch_assoc($query);
$idenc = $data['idenc'];

//Query Encabezado
$queryEnc = mysqli_query($mysqli, "
    SELECT e.*
    FROM remision_encabezado as e
    WHERE e.id = '$idenc'")
        or die('Error '.mysqli_error($mysqli));
$rw_encabezado=mysqli_fetch_array($queryEnc); 

$fecha = $rw_encabezado['fecha'];
$nombre = $rw_encabezado['nombre'];
$observacion_enc = $rw_encabezado['observacion_enc'];
$sta = $rw_encabezado['status'];
$foliorem = $rw_encabezado['folio'];
$enviar_a = $rw_encabezado['txtCorreo'];
//$no = 1;       

$hari_ini = date("d-m-Y");

$no = 1;

//Query detalle
$querydet = mysqli_query($mysqli, "
    SELECT c.name_user, b.*
    FROM remision_detalle as b, usuarios as c
    where b.created_user = c.id_user
    and b.idenc = '$idenc'")
        or die('Error '.mysqli_error($mysqli));
$rw_detalle=mysqli_fetch_array($querydet);

$codigo = $rw_detalle['codigo'];
$cantidad = $rw_detalle['cantidad'];


//Query Paramotros de correo
$queryEnvio = mysqli_query($mysqli, "SELECT * FROM parametro_correos where id = 1 ")
        or die('Error '.mysqli_error($mysqli));
$rw_envio=mysqli_fetch_array($queryEnvio); 

$cc1 = $rw_envio['cc1'];// ADMINISTRADOR
$cc2 = $rw_envio['cc2'];// SUPERVISOR
$cc3 = $rw_envio['cc3'];// ALMACENCISTA
$cc4 = $rw_envio['cc4'];// CC
$cc5 = $rw_envio['cc5'];// CC

   //Query parametros perfil
$queryperfil = mysqli_query($mysqli, "SELECT * FROM perfil")
                                or die('error'.mysqli_error($mysqli));
$rows  = mysqli_num_rows($queryperfil);
$data_perfil  = mysqli_fetch_assoc($queryperfil);
$folio_perfil = $data_perfil['folio'];
$folio_rem_perfil = $data_perfil['folio2'];
$nombre_perfil = $data_perfil['nombre_empresa'];
$direccion_perfil = $data_perfil['direccion'];
$direccion_perfil = $data_perfil['direccion'];
$email_perfil = $data_perfil['email'];
$almacen_perfil = $data_perfil['almacen'];
$almacenista_perfil = $data_perfil['almacenista'];

/************Envio de correo electronico nueva Remision*********************/
$mail = new PHPMailer();
$mail->isSMTP();
$mail->SMTPDebug = 1;
$mail->Host = 'mail.sanmatias.mx';
$mail->Port = 587;
$mail->SMTPAuth = true;
$mail->Username = 'jrobles@sanmatias.mx';
$mail->Password = 'P@88w0rd.0';
$mail->setFrom('jrobles@sanmatias.mx', 'Remision');
$mail->addReplyTo('jrobles@sanmatias.mx', 'Remision');
$mail->addAddress($enviar_a, 'inventario');//CORREO SELECCIONADO EN LA ENTRADA
$mail->addAddress($cc1, 'inventario1');// ADMINISTRADOR
$mail->addAddress($cc2, 'inventario2');// SUPERVISOR
$mail->addAddress($cc3, 'inventario3');// ALMACENCISTA
$mail->addAddress($cc4, 'inventario4');// CC
$mail->addAddress($cc5, 'inventario5');// CC
//$mail->AddAttachment('/home/sanmatespecial/inventarios.sanmatias.mx/modules/trade/remision/mailer/src/REM.pdf');
$mail->AddAttachment('/home/sanmatespecial/inventarios.sanmatias.mx/cdc/modules/trade/remision/mailer/src/pdf/'.$filename);
$mail->isHTML(true); // Indicamos que el correo va a ser HTML.
$mail->CharSet = 'UTF-8';
//$mail->Subject = 'Remision nueva';
$mail->Subject = "Nueva Remision folio: $folio_rem_perfil-$foliorem";
	$correo .= "<h1>Envio automatico, Alerta DE NUEVA REMISION</h1>";
	$correo .= $nombre."  A generado el folio:  $folio_rem_perfil-$foliorem";
	$correo .= "</div>";
	$correo .= "<img src='cid:logo_php' align='left' border='0' hspace='10' />"; // OJO con la imagen. Hablaremos de esto en el próximo apartado.
	$correo .= "<br/>";
	$correo .= "Observacion:";
	$correo .= "<ul>";
	$correo .= "<li>$almacenista_perfil te apoyara a dar seguimietno con la salida de miercancia</li>";
	$correo .= "</ul>";
	$mail->Body = $correo;









if (!$mail->send()) {
echo 'Mailer Error: ' . $mail->ErrorInfo;
} else {
echo 'Message sent!';
}
?>